<?php 
	include("../config.php");
	include("../Datatable.php");


	$obj = new Datatable($conn);

	$obj->aColumns 		= array('name', 'parent_id', 'status', 'created_id');
    $obj->eColumns 		= array('id');
    $obj->sIndexColumn 	= "id";
    $obj->sTable 		= "account_group";
    /*$obj->myWhere 		= " WHERE company_id = '".$_SESSION['company_id']."' AND branch_id = '".$_SESSION['branch_id']."'";*/
    $obj->datatable_process();
    
    $cou = 0;
    if(isset($_GET['iDisplayStart'])) {
    	$cou = $_GET['iDisplayStart'];
    }
    $master_user = combine(getAllRecords('users'), 'id', 'name');
    while ($aRow = mysqli_fetch_array($obj->rResult)) {

    	$state     = "select * from account_group where id ='".$aRow['parent_id']."'";
        $state_res = mysqli_query($conn,$state);
        $state_row = mysqli_fetch_array($state_res);

        $temp_arr = array();

		$temp_arr[] = ++$cou;
		$temp_arr[] = $aRow['name'];
		$temp_arr[] = $state_row['name'];
		
		$label = '';
		if($aRow['status'] == '0'){ 
			$label .='<span class="label label-md label-warning">ACTIVE</span>';
		}else{
			$label .='<span class="label label-md label-danger">IN-ACTIVE</span>';
		}
		
		$temp_arr[] = $label;
		$temp_arr[] = @$master_user[$aRow['created_id']];
		$str = '';
		if( hasPermission($_SESSION['user_detail']['role_id'], 'vendor_edit') ) {
		$str .= '<a href="index.php?page=account_group/edit.php&eid='.$aRow['id'].'" name="edit" class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="EDIT ACCOUNT GROUP...!!"><em class="fa fa-pencil"></em></a>&nbsp;';
		}

		if( hasPermission($_SESSION['user_detail']['role_id'], 'vendor_delete') ) {
		$str .= '<button type="button" class="btn btn-danger delete_data" id="'.$aRow["id"].'" data-toggle="tooltip" data-placement="top" title="DELETE ACCOUNT GROUP..!!" onclick="confirmDelete(this);"><em class="fa fa-trash"></em></button>';
		}
		$temp_arr[] = $str;

        $obj->output['aaData'][] = $temp_arr;
    }

    echo json_encode($obj->output);
    exit();
?>